import unittest

import support
support.initthuban()

from Thuban.Model.layer import BaseLayer

from Thuban.UI.layer_dialogs import add_layer_dialog, init_layer_dialogs, \
     get_layer_properties_class

class TestLayerDialogs(unittest.TestCase):

    def test_layer_dialogs(self):

        class MyLayer(BaseLayer):
            pass

        class MyDialog:
            pass

        my_instance = MyLayer("test")

        add_layer_dialog('properties', MyLayer, MyDialog)

        dialog_class = get_layer_properties_class(my_instance)

        self.assertEquals(dialog_class, MyDialog)


if __name__ == "__main__":
    support.run_tests()
